import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getStorePage(params) {
    return request(getDataBaseUrl() + '/api/store/getStorePage', {
      method: 'Post',
      data: params,
    });
  },
  gettree(params) {
    return request(getDataBaseUrl() + '​/api​/organize/tree', {
      method: 'GET',
      data: {
        ...params,
      },
    });
  },
  updateStore(data) {
    return request(getDataBaseUrl() + '/api/store/updateStore', {
      method: 'Post',
      data: data,
    });
  },
  deleteStore(data) {
    return request(getDataBaseUrl() + '/api/store/deleteStore', {
      method: 'Post',
      data: data,
    });
  },
  getAllRecipeList(isWeight) {
    return request(getDataBaseUrl() + `/api/recipe/getAllRecipeList?isWeight=${isWeight}`, {
      method: 'Get',
    });
  },
  GetBasicRoleCode() {
    return request(getDataBaseUrl() + `/api/roles/getBasicRoleCode`, {
      method: 'Get',
    });
  },
}