import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getActivationInfoPage(params) {
    return request(getDataBaseUrl() + '/api/activation/getActivationInfoPage', {
      method: 'Post',
      data: params,
    });
  },
  updateActivationInfo(params) {
    return request(getDataBaseUrl() + '/api/activation/updateActivationInfo', {
      method: 'Post',
      data: params,
    });
  },
  updateOfflineKey(params) {
    return request(getDataBaseUrl() + '/api/activation/updateOfflineKey', {
      method: 'Post',
      data: params,
    });
  },
  deleteActivationInfo(id) {
    return request(getDataBaseUrl() + `/api/activation/deleteActivationInfo?id=${id}`, {
      method: 'Get',
    });
  },
  getAllDeviceList() {
    return request(getDataBaseUrl() + `/api/store/getAllDeviceList`, {
      method: 'Get',
    });
  },
}