import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getRecipeUseDetail(params) {
    return request(getDataBaseUrl() + '/api/report/getRecipeUseDetail', {
      method: 'Post',
      data: params,
    });
  },
  getRecipeUseSummary(params) {
    return request(getDataBaseUrl() + '/api/report/getRecipeUseSummary', {
      method: 'Post',
      data: params,
    });
  },
  getBatchingUseSummary(params) {
    return request(getDataBaseUrl() + '/api/report/getBatchingUseSummary', {
      method: 'Post',
      data: params,
    });
  },
  getSearchList() {
    return request(getDataBaseUrl() + '/api/report/getSearchList', {
      method: 'Get',
    });
  },
  getMainReport(params) {
    return request(getDataBaseUrl() + '/api/report/getMainReport', {
      method: 'Post',
      data: params,
    });
  },
  getReportSearchLog() {
    return request(getDataBaseUrl() + '/api/report/getReportSearchLog', {
      method: 'Get',
    });
  },
}