import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getBatchingPage(params) {
    return request(getDataBaseUrl() + '/api/batching/getBatchingPage', {
      method: 'Post',
      data: params,
    });
  },
  deleteBatching(data) {
    return request(getDataBaseUrl() + `/api/batching/delete`, {
      method: 'Post',
      data: data,
    });
  },
  add(params) {
    return request(getDataBaseUrl() + '/api/batching/add', {
      method: 'Post',
      data: params,
    });
  },
  update(params) {
    return request(getDataBaseUrl() + '/api/batching/update', {
      method: 'Post',
      data: params,
    });
  },
  delete(data) {
    return request(getDataBaseUrl()+`/api/batching/delete`, {
      method: 'Post',
      data: data,
    });
  },
  GetBasicRoleCode() {
    return request(getDataBaseUrl() + `/api/roles/getBasicRoleCode`, {
      method: 'Get',
    });
  },
}
