import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getRecipeGroupTemplatePage(params) {
    return request(getDataBaseUrl() + '/api/recipe/getRecipeGroupTemplatePage', {
      method: 'Post',
      data: params,
    });
  },
  updateRecipeGroupTemplate(params) {
    return request(getDataBaseUrl() + '/api/recipe/updateRecipeGroupTemplate', {
      method: 'Post',
      data: params,
    });
  },
  deleteRecipeGroupTemplate(ids) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeGroupTemplate?ids=${ids}`, {
      method: 'Get',
    });
  },

}